Subject: RE: VC merge question

From: Shahram Davari <[email-masked]>
Date: Wed, 7 Feb 2001 09:03:16 -0800

Yes. This kind of LSP merge is similar to VP-merge in ATM. Check RFC3035.

-Shahram

> -----Original Message-----
> From: Mahadevan Iyer [mailto:[email-masked]]
> Sent: Wednesday, February 07, 2001 12:24 AM
> To: [email-masked]
> Subject: VC merge question
> 
> 
> Hello,
> 
>   When using VC merge to support heirarchial LSP type
>   capabilities is it possible to stack more then 2
>   levels(i.e. reuse the VPI for the outer VC).
> 
>   If this has been discussed before, please send me
>   a pointer to the thread
> 
> Thanks
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Auctions - Buy the things you want at great prices.
> http://auctions.yahoo.com/
>

---

From: Jeremy Lawrence <[email-masked]>
Date: Thu, 08 Feb 2001 12:15:21 +1100

To expand this comment:

>Yes. This kind of LSP merge is similar to VP-merge in ATM. Check RFC3035.

If the top-most label is VC-based, then there may be an
arbitrary number of additional labels carried inside packet
within the ATM payload [RFC3035 section 9].

I'm not sure if that's the answer to the question though:

>>   capabilities 

I'm confused about the question. VC merge supports aggregation
of ATM VC-based LSPs of a common FEC, e.g. to a common
destination. VC merge is not, in itself, a way of supporting
hierarchy. VC merge does not preclude the use of hierarchy, but
it need do nothing to support it. 

>is it possible to stack more then 2

That's a separate issue. It is, in theory, possible to carry
two MPLS labels in an ATM header, one in the VPI and one in
the VCI. There was work on this in the working group, but it lapsed.

(At the time, I argued strongly against the use of VP labels
for hop-by-hop routed MPLS, because a label space of 4096 VPIs
(12 bits) is too small to be scalable for general use. The
combined VPCI space of 28 bits available to VC-based labels is
more obviously sufficient.)

Jeremy Lawrence

---

From: Mahadevan Iyer <[email-masked]>
Date: Thu, 8 Feb 2001 00:32:12 -0800 (PST)

> >>   levels(i.e. reuse the VPI for the outer VC).

This was the question

Thanks

__________________________________________________
Do You Yahoo!?
Get personalized email addresses from Yahoo! Mail - only $35 
a year!  http://personal.mail.yahoo.com/